Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class PropertyBundleAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.PropertyBundleAdmin

    public class PropertyBundleAdmin

extends java.lang.Object

The `PropertyBundleAdmin.java` class - colleciton of PropertyBundle admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`
`protected java.util.Hashtable` | `m_propertyBundleTable`

Constructor Summary
`PropertyBundleAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `addPolicyProperties(LibrarySession sess, ParameterTable params)` Section variant of addPolicyProperties
`void` | `addPolicyProperties(LibrarySession sess, PropertyBundle pb, java.lang.String[] policies)` internal variant of addPolicyProperties
`void` | `addProperties(LibrarySession sess, ParameterTable params)` Section variant of addProperties
`void` | `addProperties(LibrarySession sess, PropertyBundle pb, AttributeValue[] avs)` internal variant of addProperties
`void` | `addProperties(LibrarySession sess, java.lang.String idname, AttributeValue[] avs, ParameterTable params)` internal variant of addProperties
`protected PolicyPropertyBundle` | `createPolicyPropertyBundle(LibrarySession sess, java.lang.String pbName, java.lang.String pbAclName)` Make a policy bundle for the system object
`PropertyBundle` | `createPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of Create PropertyBundle
`PropertyBundle` | `createPropertyBundle(LibrarySession sess, java.lang.String idname, PropertyBundleDefinition def)` internal variant of Create PropertyBundle
`PropertyBundle` | `createPropertyBundle(LibrarySession sess, java.lang.String idname, PropertyBundleDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create PropertyBundle
`PropertyBundle` | `createPropertyBundle(LibrarySession sess, java.lang.String pbName, java.lang.String pbAclName)` Create PropertyBundle for setting on ClassObject, Attribute, or Media.
`void` | `deletePropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of delete PropertyBundle
`void` | `deletePropertyBundle(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete PropertyBundle
`void` | `deletePropertyBundle(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete PropertyBundle
`void` | `freePropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of Free PropertyBundle
`void` | `freePropertyBundle(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free PropertyBundle
`void` | `getPropertyBundle(LibrarySession sess, ParameterTable params)` Returns Property Bundle that is used in the ValueDefault, ValueDomain, ClassObject, or the Domain PropertyBundle.
`void` | `identifyPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of Identify PropertyBundle
`void` | `identifyPropertyBundle(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valuedef, java.lang.String path)` Inline/internal variant of Identify PropertyBundle
`PropertyBundle` | `lookupPropertyBundle(java.lang.String idname)`
`void` | `modifyPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of Modify PropertyBundle
`void` | `modifyPropertyBundle(LibrarySession sess, java.lang.String idname, PropertyBundleDefinition def)` internal variant of Modify PropertyBundle
`void` | `removeAllProperties(LibrarySession sess, ParameterTable params)` Section variant of removeAllProperties
`void` | `removeAllProperties(LibrarySession sess, java.lang.String idname)` inline/internal variant of removeAllProperties
`void` | `removeProperties(LibrarySession sess, ParameterTable params)` Section variant of removeProperties
`void` | `removeProperties(LibrarySession sess, java.lang.String[] tokens)` inline variant of removeProperties
`void` | `removeProperties(LibrarySession sess, java.lang.String idname, java.lang.String[] propnames, ParameterTable params)` internal variant of removeProperties
`void` | `showClassPolicyPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of ShowClassPolicyPropertyBundle
`void` | `showClassPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of ShowClassPropertyBundle
`void` | `showPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of showPropertyBundle
`void` | `showPropertyBundle(LibrarySession sess, PropertyBundle propertyBundle)`
`void` | `showPropertyBundle(LibrarySession sess, java.lang.String propertyBundlename)` Inline/internal variant of showPropertyBundle
`void` | `undeletePropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of undelete PropertyBundle
`void` | `undeletePropertyBundle(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete PropertyBundle
`void` | `undeletePropertyBundle(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete PropertyBundle
`void` | `unidentifyPropertyBundle(LibrarySession sess, ParameterTable params)` Section variant of Unidentify PropertyBundle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_propertyBundleTable

    protected java.util.Hashtable m_propertyBundleTable

Constructor Detail

### PropertyBundleAdmin

    public PropertyBundleAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createPropertyBundle

    public PropertyBundle createPropertyBundle(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of Create PropertyBundle

  Throws:
    `IfsException`

### createPropertyBundle

    public PropertyBundle createPropertyBundle(LibrarySession sess,
                                               java.lang.String pbName,
                                               java.lang.String pbAclName)
                                        throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Create PropertyBundle for setting on ClassObject, Attribute, or Media. Does not get added to the PB lookup hashtable

  Throws:
    `IfsException`

### createPropertyBundle

    public PropertyBundle createPropertyBundle(LibrarySession sess,
                                               java.lang.String idname,
                                               PropertyBundleDefinition def)
                                        throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of Create PropertyBundle

  Throws:
    `IfsException`

### createPropertyBundle

    public PropertyBundle createPropertyBundle(LibrarySession sess,
                                               java.lang.String idname,
                                               PropertyBundleDefinition def,
                                               VersionDescriptionDefinition vddef)
                                        throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of VERSIONED Create PropertyBundle

  Throws:
    `IfsException`

### modifyPropertyBundle

    public void modifyPropertyBundle(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of Modify PropertyBundle

  Throws:
    `IfsException`

### modifyPropertyBundle

    public void modifyPropertyBundle(LibrarySession sess,
                                     java.lang.String idname,
                                     PropertyBundleDefinition def)
                              throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of Modify PropertyBundle

  Throws:
    `IfsException`

### addProperties

    public void addProperties(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of addProperties

  Throws:
    `IfsException`

### addProperties

    public void addProperties(LibrarySession sess,
                              java.lang.String idname,
                              AttributeValue[] avs,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of addProperties

  Throws:
    `IfsException`

### addProperties

    public void addProperties(LibrarySession sess,
                              PropertyBundle pb,
                              AttributeValue[] avs)
                       throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of addProperties

  Throws:
    `IfsException`

### addPolicyProperties

    public void addPolicyProperties(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of addPolicyProperties

  Throws:
    `IfsException`

### createPolicyPropertyBundle

    protected PolicyPropertyBundle createPolicyPropertyBundle(LibrarySession sess,
                                                              java.lang.String pbName,
                                                              java.lang.String pbAclName)
                                                       throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Make a policy bundle for the system object

  Throws:
    `IfsException`

### addPolicyProperties

    public void addPolicyProperties(LibrarySession sess,
                                    PropertyBundle pb,
                                    java.lang.String[] policies)
                             throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of addPolicyProperties

  Throws:
    `IfsException`

### removeProperties

    public void removeProperties(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of removeProperties

  Throws:
    `IfsException`

### removeProperties

    public void removeProperties(LibrarySession sess,
                                 java.lang.String[] tokens)
                          throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  inline variant of removeProperties

  Throws:
    `IfsException`

### removeProperties

    public void removeProperties(LibrarySession sess,
                                 java.lang.String idname,
                                 java.lang.String[] propnames,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  internal variant of removeProperties

  Throws:
    `IfsException`

### removeAllProperties

    public void removeAllProperties(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of removeAllProperties

  Throws:
    `IfsException`

### removeAllProperties

    public void removeAllProperties(LibrarySession sess,
                                    java.lang.String idname)
                             throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  inline/internal variant of removeAllProperties

  Throws:
    `IfsException`

### freePropertyBundle

    public void freePropertyBundle(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of Free PropertyBundle

  Throws:
    `IfsException`

### freePropertyBundle

    public void freePropertyBundle(LibrarySession sess,
                                   java.lang.String idname)
                            throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of Free PropertyBundle

  Throws:
    `IfsException`

### deletePropertyBundle

    public void deletePropertyBundle(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of delete PropertyBundle

  Throws:
    `IfsException`

### deletePropertyBundle

    public void deletePropertyBundle(LibrarySession sess,
                                     java.lang.String idname)
                              throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of Delete PropertyBundle

  Throws:
    `IfsException`

### deletePropertyBundle

    public void deletePropertyBundle(LibrarySession sess,
                                     java.lang.String idname,
                                     LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of Delete PropertyBundle

  Throws:
    `IfsException`

### undeletePropertyBundle

    public void undeletePropertyBundle(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of undelete PropertyBundle

  Throws:
    `IfsException`

### undeletePropertyBundle

    public void undeletePropertyBundle(LibrarySession sess,
                                       java.lang.String idname)
                                throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of Undelete PropertyBundle

  Throws:
    `IfsException`

### undeletePropertyBundle

    public void undeletePropertyBundle(LibrarySession sess,
                                       java.lang.String idname,
                                       LibraryObjectDefinition def)
                                throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of Undelete PropertyBundle

  Throws:
    `IfsException`

### identifyPropertyBundle

    public void identifyPropertyBundle(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of Identify PropertyBundle

  Throws:
    `IfsException`

### getPropertyBundle

    public void getPropertyBundle(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Returns Property Bundle that is used in the ValueDefault, ValueDomain, ClassObject, or the Domain PropertyBundle.

  Throws:
    `IfsException`

### identifyPropertyBundle

    public void identifyPropertyBundle(LibrarySession sess,
                                       java.lang.String idname,
                                       java.lang.Long id,
                                       java.lang.String name,
                                       java.lang.String valuedef,
                                       java.lang.String path)
                                throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of Identify PropertyBundle

  Throws:
    `IfsException`

### unidentifyPropertyBundle

    public void unidentifyPropertyBundle(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of Unidentify PropertyBundle

  Throws:
    `IfsException`

### showPropertyBundle

    public void showPropertyBundle(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of showPropertyBundle

  Throws:
    `IfsException`

### showClassPropertyBundle

    public void showClassPropertyBundle(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of ShowClassPropertyBundle

  Throws:
    `IfsException`

### showClassPolicyPropertyBundle

    public void showClassPolicyPropertyBundle(LibrarySession sess,
                                              ParameterTable params)
                                       throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Section variant of ShowClassPolicyPropertyBundle

  Throws:
    `IfsException`

### showPropertyBundle

    public void showPropertyBundle(LibrarySession sess,
                                   java.lang.String propertyBundlename)
                            throws IfsException

  Description copied from class: `PropertyBundleAdmin`
  Inline/internal variant of showPropertyBundle

  Throws:
    `IfsException`

### lookupPropertyBundle

    public PropertyBundle lookupPropertyBundle(java.lang.String idname)
                                        throws IfsException

  Throws:
    `IfsException`

### showPropertyBundle

    public void showPropertyBundle(LibrarySession sess,
                                   PropertyBundle propertyBundle)
                            throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD